Download it now!
Bug 97206 - Change Case functions not working with georgian text/alphabet
Summary: Change Case functions not working with georgian text/alphabet
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Character Languages
  Show dependency treegraph
 
Reported: 2016-01-17 12:23 UTC by nemzag
Modified: 2019-02-24 23:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Georgian Section in Unicode (18.58 KB, image/png)
2016-01-17 12:23 UTC, nemzag
Details
UPPER LOWER FUNCTION (100.33 KB, image/png)
2016-01-17 21:07 UTC, nemzag
Details
Writer doc for testing Georgian (10.32 KB, application/vnd.oasis.opendocument.text)
2016-01-18 00:59 UTC, FutureProject
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemzag 2016-01-17 12:23:43 UTC
Created attachment 122025 [details]
Georgian Section in Unicode

Hi,

Georgian character not change shape when us‑ing upper‑case / lower‑case !!!
Prom MKHEDRULI to ASOMTAVRULI !!!
Prom ASOMTAVRULI to MKHEDRULI !!!

- http://www.omniglot.com/writing/georgian.htm 

Tʰang 帑 كتأنجى you.
Kanth كانث you...
Comment 1 FutureProject 2016-01-17 18:49:21 UTC
Hello, and thank you for bringing this issue to our attention.

I can confirm that selecting georgian text, then using any of the "Format -> Change Case" functions does nothing to the letters although all are present in the selected font.

Please let us know if this is the issue you meant. If not, please try to describe the issue a little more thorough. I'm setting this to NEEDINFO for now, please revert back to UNCONFIRMED once you have commented.

--
Windows 10 Pro, Version 1511 (OS Build 10586.36)
Version: 5.0.4.2 Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: de-DE (de_DE)
Comment 2 nemzag 2016-01-17 21:07:17 UTC
Created attachment 122047 [details]
UPPER LOWER FUNCTION

Yes, this is what I mean, I put a pictune of my Libre Office as you can see I added the function change Upper Lower directly in main toolbar !!!

I don't like to use Georgian Greek minuscule because some letter look like butt, so pro respect of my soul & virtue, I use capital !!! I also asked to Firefox Mozilla, to add an option in setting to set force the text of any web page to be displayed in "capital" !!!

And when testing, I constated that Georgian and some Greek letter not varg !!!

Kanth you...
Comment 3 FutureProject 2016-01-18 00:59:19 UTC
Created attachment 122050 [details]
Writer doc for testing Georgian

Reproduceable on all versions down to LibreOffice 3.5.0rc3, it's the oldest version I tested. Probably inherited from Apache OpenOffice, since OO 4.1.2 has the same issue.

Hot to reproduce:
1. Open the attached file
2. Press Ctrl+A
3. "Format -> Change Case -> [use any function]"
4. The georgian text remains unchanged

Setting the status to NEW. I'll also tweak the summary a little.

--
Windows 10 Pro, Version 1511 (OS Build 10586.36)
Version: 5.0.4.2 Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: de-DE (de_DE)
Comment 4 QA Administrators 2017-03-06 14:23:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306